
- name: Configure Registry
  set_fact:
    sonarqube_image_repository: "{{ platform.harbor_registry }}/docker-hub-proxy/library/sonarqube"
    plugins_wget_image_repository: "{{ platform.harbor_registry }}/docker-hub-proxy/rjkernick/alpine-wget:latest"
    crunchy_repository: "{{ platform.harbor_registry }}/crunchydata-proxy"
    minio_repository: "{{ platform.harbor_registry }}/docker-hub-proxy/minio"
  when: platform.harbor_registry is defined
  tags: always

- name: Deploy SonarQube
  include: install.yml

- name: RBAC
  include: rbac.yml

- name: Remove SonarQube
  include: remove.yml
  tags: [never, remove]

- name: Rotate admin password 
  import_tasks: rotate_admin_password.yml
  tags: [never, rotate_password ]

# The purpose of the tasks standby, failover is for training purposes. 
# The tasks are prepared for PGO v5. 

- name: Standby Test 
  import_tasks: test/tasks/standby.yml
  tags: [never, standby ]

- name: Failover Test 
  import_tasks: test/tasks/failover.yml
  tags: [never, failover ]

- name: Delete S3 bucket (destructive)
  import_tasks: test/tasks/delete-s3-bucket.yml
  tags: [never, delete_s3_bucket ]

- name: Backup
  import_tasks: test/tasks/backup.yml
  tags: [never, backup ]

